Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Remote Application Platform (RAP) » [ANN] RAP 2.1 M2 is available
[ANN] RAP 2.1 M2 is available [message #1057971] Fri, 10 May 2013 09:04 Go to next message
Ralf Sternberg is currently offline Ralf Sternberg
Messages: 1290
Registered: July 2009
Senior Member

Hi all,

The second and last milestone for RAP 2.1 is now available.

Although 2.1 is just a short follow-up release to 2.0, it brings some
important improvements and new features. My favorite is the built-in
support for multiple browser tabs. Multiple simultaneous connections
from the same HTTP session are now supported out of the box. Tricks like
disabling cookies are not required anymore.

Please note that this milestone introduces a breaking change in the new
RemoteObject API for custom components. We provide a new JSON API for
marshalling structured data and replaced the untyped Objects in the
RemoteObject methods with JSON types. Custom widgets need to be adjusted
to this change. Apart from that, RAP 2.1 remains API compatible with 2.0.

For the complete list of changes, check out the New and Noteworthy [1].

The milestone build is available on our download page [2] and in our p2
repositories, and it is also included in the Eclipse Kepler repository [3].

Best regards,
the RAP team

[1] http://eclipse.org/rap/noteworthy/2.1/?build=M2
[2] http://eclipse.org/rap/downloads/
[3] http://download.eclipse.org/releases/kepler/
--
Ralf Sternberg

Twitter: @EclipseRAP
Blog: http://eclipsesource.com/blogs/

Professional services for RAP and RCP?
http://eclipsesource.com/services/rap/
Re: [ANN] RAP 2.1 M2 is available [message #1057992 is a reply to message #1057971] Fri, 10 May 2013 11:27 Go to previous messageGo to next message
Phill Perryman is currently offline Phill Perryman
Messages: 214
Registered: July 2009
Senior Member
I created a brand new workspace in my Kepler M6 eclipse and loaded the target platform from the welcome page overview to get he extension bundle fix and get the following error installing the target.

Problems occurred while resolving the target contents
An error occurred while collecting items to be installed
session context was:(profile=TARGET_DEFINITION:file:/C:/workspaces/rwt21m2/.metadata/.plugins/org.eclipse.rap.tools.intro/latest-stable-build.target, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
Artifact org.eclipse.update.feature,org.eclipse.rap.sdk.feature,2.1.0.20130506-1748 is a folder but the repository is an archive or remote location.
Artifact org.eclipse.update.feature,org.eclipse.rap.feature,2.1.0.20130506-1748 is a folder but the repository is an archive or remote location.
Artifact org.eclipse.update.feature,org.eclipse.rap.equinox.target.feature,2.1.0.20130506-2049 is a folder but the repository is an archive or remote location.
Re: [ANN] RAP 2.1 M2 is available [message #1058000 is a reply to message #1057992] Fri, 10 May 2013 12:40 Go to previous messageGo to next message
Ralf Sternberg is currently offline Ralf Sternberg
Messages: 1290
Registered: July 2009
Senior Member

Hi Phill,

we tried again with Kepler M6 SDK and RAP Tools 2.1-M2 on both Windows
and Linux, but couldn't reproduce this problem. Which RAP Tools version
do you use?

Regards,
Ralf

--
Ralf Sternberg

Twitter: @EclipseRAP
Blog: http://eclipsesource.com/blogs/

Professional services for RAP and RCP?
http://eclipsesource.com/services/rap/
Re: [ANN] RAP 2.1 M2 is available [message #1058002 is a reply to message #1058000] Fri, 10 May 2013 12:58 Go to previous messageGo to next message
Phill Perryman is currently offline Phill Perryman
Messages: 214
Registered: July 2009
Senior Member
My installation report shows

RAP Tools 2.1.0.20130306-0844 org.eclipse.rap.tools.feature.feature.group Eclipse.org - RAP

I believe M7 is due today (not on downloads yet) so I will pull that down when it becomes available and install the target from there just in case there is something up with my current Kepler M6 installation. I will reply back one way or another. I need to move to M7 anyway.

Thanks for the quick response, glad to know it is not a general problem.
Re: [ANN] RAP 2.1 M2 is available [message #1058108 is a reply to message #1057971] Sat, 11 May 2013 12:55 Go to previous messageGo to next message
Song David is currently offline Song David
Messages: 187
Registered: April 2011
Senior Member
I tried my project without anything changing in Eclipse Kepler and RAP 2.1M2, I confirm only one slf4j-log4j12-1.6.1.jar in my project, when I remove it, app finds no class, and when I add the jar into my project, a warning info in Console just like below, but when I open the project and run it in Eclipse Juno, anything is ok.


SLF4J: Class path contains multiple SLF4J bindings.
SLF4J: Found binding in [bundleresource://74.fwk27652339:44/org/slf4j/impl/StaticLoggerBinder.class]
SLF4J: Found binding in [bundleresource://74.fwk27652339:89/org/slf4j/impl/StaticLoggerBinder.class]
SLF4J: See http://www.slf4j.org/codes.html#multiple_bindings for an explanation.

Re: [ANN] RAP 2.1 M2 is available [message #1058135 is a reply to message #1058002] Sun, 12 May 2013 11:01 Go to previous messageGo to next message
Markus Knauer is currently offline Markus Knauer
Messages: 108
Registered: July 2009
Senior Member

I tried it again with a Kepler M7 RCP/RAP package from http://www.eclipse.org/downloads/index-developer.php which includes the RAP Tools in version 2.1.0.20130506-1346 - no problem to load a RAP target and to run the RAP Hello World example.

--
Markus Knauer

Twitter: @EclipseRAP
Blog: http://eclipsesource.com/blogs/

Professional services for RAP and RCP?
http://eclipsesource.com/services/rap/
Re: [ANN] RAP 2.1 M2 is available [message #1058140 is a reply to message #1058135] Sun, 12 May 2013 12:56 Go to previous messageGo to next message
Song David is currently offline Song David
Messages: 187
Registered: April 2011
Senior Member
Markus Knauer wrote on Sun, 12 May 2013 07:01
I tried it again with a Kepler M7 RCP/RAP package from http://www.eclipse.org/downloads/index-developer.php which includes the RAP Tools in version 2.1.0.20130506-1346 - no problem to load a RAP target and to run the RAP Hello World example.


I used Eclipse IDE for Java EE Developers package and download the rap tool from http://download.eclipse.org/rt/rap/tools/2.1 and the 2.1M2 rap runtime. The warning information displays every times
Re: [ANN] RAP 2.1 M2 is available [message #1058145 is a reply to message #1058140] Sun, 12 May 2013 14:23 Go to previous messageGo to next message
Markus Knauer is currently offline Markus Knauer
Messages: 108
Registered: July 2009
Senior Member

My answer was more directed to Phill's initial problem.

I don't think your problem is releated to this one here. I'd suggest you look into any changes between the versions that could affect your SLF4J bundle and/or your logging configuration.

Or maybe you launch configuration is silently changed/updated by PDE whenever you change your target? The RAP p2 repositories never contained any SLF4J bundles.

Another source of information is the Orbit project (http://eclipse.org/orbit/) because this project bundles the SLF4J plug-ins for other Eclipse projects.


--
Markus Knauer

Twitter: @EclipseRAP
Blog: http://eclipsesource.com/blogs/

Professional services for RAP and RCP?
http://eclipsesource.com/services/rap/
Re: [ANN] RAP 2.1 M2 is available [message #1058148 is a reply to message #1058145] Sun, 12 May 2013 14:45 Go to previous message
Song David is currently offline Song David
Messages: 187
Registered: April 2011
Senior Member
Markus Knauer wrote on Sun, 12 May 2013 10:23
My answer was more directed to Phill's initial problem.

I don't think your problem is releated to this one here. I'd suggest you look into any changes between the versions that could affect your SLF4J bundle and/or your logging configuration.

Or maybe you launch configuration is silently changed/updated by PDE whenever you change your target? The RAP p2 repositories never contained any SLF4J bundles.

Another source of information is the Orbit project (http://eclipse.org/orbit/) because this project bundles the SLF4J plug-ins for other Eclipse projects.



No any code or configuration changes, just open and run it, in Kelper warning information , in Juno everything is ok.
Previous Topic:RAP Locale - not working on Chrome/Firefox
Next Topic:Problem with org.eclipse.swt.widgets.TabFolder
Goto Forum:
  


Current Time: Tue Sep 23 06:39:23 GMT 2014

Powered by FUDForum. Page generated in 0.02078 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software